Package org.apache.sling.models.factory

# Class MissingElementsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.models.factory.MissingElementsException

All Implemented Interfaces:
  `Serializable`

@ProviderType public final class MissingElementsException extends RuntimeException
Exception which is triggered whenever a Sling Model cannot be instantiated due to some missing elements (i.e. required fields/methods/constructor parameters could not be injected). Contains a number of `MissingElementException`s.

See Also:
  - `ModelFactory`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MissingElementsException(String message)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addMissingElementExceptions(MissingElementException e)`
`Collection<MissingElementException>`
`getMissingElements()`
`boolean`
`isEmpty()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MissingElementsException

public MissingElementsException(String message)

## Method Details

### addMissingElementExceptions

public void addMissingElementExceptions(MissingElementException e)

### isEmpty

public boolean isEmpty()

### getMissingElements

public Collection<MissingElementException> getMissingElements()